Package org.eclipse.gef.editparts

# Interface LayerManager

All Known Implementing Classes:
  `FreeformGraphicalRootEditPart`, `GraphicalRootEditPart`, `ScalableFreeformRootEditPart`, `ScalableRootEditPart`

public interface LayerManager
Responsible for locating layers in a `GraphicalViewer`. Layers are just transparent `figures`.

Typically, the `RootEditPart` will register() itself as the LayerManager for the GraphicalViewer. All other EditParts/EditPolicies looking for a layer use the Viewer's `editPartRegsitry` to find the `LayerManager`.

Since:
  2.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`LayerManager.Helper`
A static helper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Object`
`ID`
This key used to register the LayerManager in the Viewer's EditPartRegistry.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.draw2d.IFigure`
`getLayer(Object key)`
Returns a specified layer.

## Field Details

### ID

static final Object ID
This key used to register the LayerManager in the Viewer's EditPartRegistry.

## Method Details

### getLayer

org.eclipse.draw2d.IFigure getLayer(Object key)
Returns a specified layer.

Parameters:
  `key` - a key identifying the layer
Returns:
  the specified layer